--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: decode_entities
- !ruby/object:RI::MethodSummary 
  name: encode_entities
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: HTML entity encoding and decoding for Ruby
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: VERSION
  value: "'4.0.0'"
- !ruby/object:RI::Constant 
  comment: 
  name: FLAVORS
  value: "%w[html4 xhtml1]"
- !ruby/object:RI::Constant 
  comment: 
  name: INSTRUCTIONS
  value: "[:basic, :named, :decimal, :hexadecimal]"
- !ruby/object:RI::Constant 
  comment: 
  name: MAPPINGS
  value: "{} unless defined? MAPPINGS"
- !ruby/object:RI::Constant 
  comment: 
  name: MAPPINGS
  value: "{} unless defined? MAPPINGS"
full_name: HTMLEntities
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: decode
- !ruby/object:RI::MethodSummary 
  name: encode
name: HTMLEntities
superclass: Object
